Subject: Re: user option `warning-suppress-types'
From: Chong Yidong <[email-masked]>
To: Stefan Boeters <[email-masked]>
Cc: [email-masked]
Date: Sat, 14 Mar 2009 13:46:10 -0400

> I wanted to disable the popping up of the warning, but failed (with my
> rudimentary Emacs knowledge). If I got it correctly from the
> discussion in gnu.emacs.help (thread "Adding an entry to a user
> option"), the problem is that the user option cannot (immediately) be
> customised, because it is not defined by default.

Actually, `warning-suppress-types' can be customised as soon as the
warning is shown, because that loads the warnings library.  If you want
to customize it in a freshly-launched Emacs, do `M-x load-library RET
warnings RET'.

I've added a note to the warning message that warning-suppress-types is
defined in the `warnings' Lisp library.